--- old/usr/src/lib/libm/common/C/_TBL_tan.c	2019-06-06 20:37:32.296752182 +0000
+++ new/usr/src/lib/libm/common/C/_TBL_tan.c	2019-06-06 20:37:32.315640029 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -30,56 +31,83 @@
 #include "libm_protos.h"
 
 const double _TBL_tan_hi[] = {
- 1.57534107325271622e-01, 1.61539784049521462e-01, 1.65550519273933966e-01,
- 1.69566445219766521e-01, 1.73587694767981526e-01, 1.77614401477446726e-01,
- 1.81646699603321415e-01, 1.85684724115634414e-01, 1.89728610718059132e-01,
- 1.93778495866891859e-01, 1.97834516790238668e-01, 2.01896811507417145e-01,
- 2.05965518848578860e-01, 2.10040778474558987e-01, 2.14122730896958657e-01,
- 2.18211517498467428e-01, 2.22307280553431325e-01, 2.26410163248673829e-01,
- 2.30520309704576154e-01, 2.34637864996423667e-01, 2.38762975176025932e-01,
- 2.42895787293616550e-01, 2.47036449420041271e-01, 2.51185110669240763e-01,
- 2.55341921221036272e-01, 2.63680596419996804e-01, 2.72053698658770882e-01,
- 2.80462470145251386e-01, 2.88908172440514699e-01, 2.97392087269024608e-01,
- 3.05915517353059274e-01, 3.14479787272571532e-01, 3.23086244351745544e-01,
- 3.31736259573572778e-01, 3.40431228523830398e-01, 3.49172572365910372e-01,
- 3.57961738848017019e-01, 3.66800203344323394e-01, 3.75689469931754838e-01,
- 3.84631072504149241e-01, 3.93626575925632771e-01, 4.02677577225140193e-01,
- 4.11785706834108478e-01, 4.20952629869475847e-01, 4.30180047464230053e-01,
- 4.39469698147866239e-01, 4.48823359279239720e-01, 4.58242848534432368e-01,
- 4.67730025452391784e-01, 4.77286793041252266e-01, 4.86915099448406330e-01,
- 4.96616939697565651e-01, 5.06394357496229852e-01, 5.16249447117175131e-01,
- 5.26184355357779188e-01, 5.36201283581215993e-01, 5.46302489843790484e-01,
- 5.66767065580586427e-01, 5.87597367591443209e-01, 6.08813740324380737e-01,
- 6.30437673835884782e-01, 6.52491897928808018e-01, 6.75000485144242934e-01,
- 6.97988963623599301e-01, 7.21484440990904474e-01, 7.45515740559391960e-01,
- 7.70113551344208669e-01, 7.95310593568674173e-01, 8.21141801589894138e-01,
- 8.47644526446552637e-01, 8.74858760554482306e-01, 9.02827387452673547e-01,
- 9.31596459944072475e-01, 9.61215510494370373e-01, 9.91737898363268644e-01,
+	1.57534107325271622e-01, 1.61539784049521462e-01,
+	1.65550519273933966e-01, 1.69566445219766521e-01,
+	1.73587694767981526e-01, 1.77614401477446726e-01,
+	1.81646699603321415e-01, 1.85684724115634414e-01,
+	1.89728610718059132e-01, 1.93778495866891859e-01,
+	1.97834516790238668e-01, 2.01896811507417145e-01,
+	2.05965518848578860e-01, 2.10040778474558987e-01,
+	2.14122730896958657e-01, 2.18211517498467428e-01,
+	2.22307280553431325e-01, 2.26410163248673829e-01,
+	2.30520309704576154e-01, 2.34637864996423667e-01,
+	2.38762975176025932e-01, 2.42895787293616550e-01,
+	2.47036449420041271e-01, 2.51185110669240763e-01,
+	2.55341921221036272e-01, 2.63680596419996804e-01,
+	2.72053698658770882e-01, 2.80462470145251386e-01,
+	2.88908172440514699e-01, 2.97392087269024608e-01,
+	3.05915517353059274e-01, 3.14479787272571532e-01,
+	3.23086244351745544e-01, 3.31736259573572778e-01,
+	3.40431228523830398e-01, 3.49172572365910372e-01,
+	3.57961738848017019e-01, 3.66800203344323394e-01,
+	3.75689469931754838e-01, 3.84631072504149241e-01,
+	3.93626575925632771e-01, 4.02677577225140193e-01,
+	4.11785706834108478e-01, 4.20952629869475847e-01,
+	4.30180047464230053e-01, 4.39469698147866239e-01,
+	4.48823359279239720e-01, 4.58242848534432368e-01,
+	4.67730025452391784e-01, 4.77286793041252266e-01,
+	4.86915099448406330e-01, 4.96616939697565651e-01,
+	5.06394357496229852e-01, 5.16249447117175131e-01,
+	5.26184355357779188e-01, 5.36201283581215993e-01,
+	5.46302489843790484e-01, 5.66767065580586427e-01,
+	5.87597367591443209e-01, 6.08813740324380737e-01,
+	6.30437673835884782e-01, 6.52491897928808018e-01,
+	6.75000485144242934e-01, 6.97988963623599301e-01,
+	7.21484440990904474e-01, 7.45515740559391960e-01,
+	7.70113551344208669e-01, 7.95310593568674173e-01,
+	8.21141801589894138e-01, 8.47644526446552637e-01,
+	8.74858760554482306e-01, 9.02827387452673547e-01,
+	9.31596459944072475e-01, 9.61215510494370373e-01,
+	9.91737898363268644e-01,
 };
+
 const double _TBL_tan_lo[] = {
--1.10615392752930551e-17, 1.42255435911932711e-17, 1.02781342487141920e-17,
--1.04735896510580927e-17,-5.46679990560150911e-18, 1.50201543247778489e-18,
- 1.22522327805930836e-17,-2.52772423968968903e-18, 9.78955701743985001e-19,
- 4.61515122717816178e-18, 7.14813042382104539e-19,-1.25529909642919992e-17,
- 1.19416304006222131e-17,-5.91325462642753544e-18, 7.53213214053688138e-18,
- 4.77223821731568090e-18, 6.32882137760769522e-18, 8.33823681661647871e-18,
--1.25419320906151988e-17, 1.16585041935775587e-17,-1.19653634178542542e-17,
--7.22806346068389604e-18,-6.16674472236513534e-18, 4.26199277415660669e-18,
--5.58935834356478328e-18,-4.56998635843850688e-18, 1.78004627511465564e-18,
- 1.74249040881549088e-17, 2.70817328270223006e-17,-1.80870634839170844e-17,
--1.00676145758650168e-17,-1.53577462986005684e-17,-2.38939880909534397e-17,
--1.08193046058071237e-17,-1.06856311222117164e-17,-1.96951245902998606e-17,
--2.08660034657941102e-17, 2.82596474303348100e-17, 2.34797942068937341e-18,
--1.76131026613802985e-17,-1.29729310968305823e-17, 1.87495311063417555e-17,
--2.29163073231136327e-18,-2.51936954463539765e-17,-4.11327516430776285e-18,
- 1.50393242431203736e-18,-1.09029595007501330e-17,-6.87284752683418342e-19,
- 1.55195027932634982e-17,-4.62284921534513474e-18,-5.45294879014110259e-18,
--2.56576334605328725e-17,-4.00960685506800741e-17, 1.35860113023765056e-17,
--4.34857062258506890e-17, 3.85791583096984630e-17, 2.90965762168371759e-17,
- 1.90815918857458480e-17, 1.21159907937263400e-17,-1.52112721227855650e-17,
--1.51838757657007437e-17,-2.51352280752587451e-17,-2.66690480643161193e-17,
--4.59728584599455591e-17,-5.42439848134543255e-17, 3.56284233494755594e-17,
- 3.61475127591663133e-17, 1.22197541073075113e-17,-1.61356193051149559e-17,
- 1.66243632690603545e-17, 4.30578558405427098e-17,-4.43234026650131250e-17,
--1.35473813965930355e-17, 4.30118334112910435e-17, 3.62593428168003066e-17,
+	-1.10615392752930551e-17, 1.42255435911932711e-17,
+	1.02781342487141920e-17, -1.04735896510580927e-17,
+	-5.46679990560150911e-18, 1.50201543247778489e-18,
+	1.22522327805930836e-17, -2.52772423968968903e-18,
+	9.78955701743985001e-19, 4.61515122717816178e-18,
+	7.14813042382104539e-19, -1.25529909642919992e-17,
+	1.19416304006222131e-17, -5.91325462642753544e-18,
+	7.53213214053688138e-18, 4.77223821731568090e-18,
+	6.32882137760769522e-18, 8.33823681661647871e-18,
+	-1.25419320906151988e-17, 1.16585041935775587e-17,
+	-1.19653634178542542e-17, -7.22806346068389604e-18,
+	-6.16674472236513534e-18, 4.26199277415660669e-18,
+	-5.58935834356478328e-18, -4.56998635843850688e-18,
+	1.78004627511465564e-18, 1.74249040881549088e-17,
+	2.70817328270223006e-17, -1.80870634839170844e-17,
+	-1.00676145758650168e-17, -1.53577462986005684e-17,
+	-2.38939880909534397e-17, -1.08193046058071237e-17,
+	-1.06856311222117164e-17, -1.96951245902998606e-17,
+	-2.08660034657941102e-17, 2.82596474303348100e-17,
+	2.34797942068937341e-18, -1.76131026613802985e-17,
+	-1.29729310968305823e-17, 1.87495311063417555e-17,
+	-2.29163073231136327e-18, -2.51936954463539765e-17,
+	-4.11327516430776285e-18, 1.50393242431203736e-18,
+	-1.09029595007501330e-17, -6.87284752683418342e-19,
+	1.55195027932634982e-17, -4.62284921534513474e-18,
+	-5.45294879014110259e-18, -2.56576334605328725e-17,
+	-4.00960685506800741e-17, 1.35860113023765056e-17,
+	-4.34857062258506890e-17, 3.85791583096984630e-17,
+	2.90965762168371759e-17, 1.90815918857458480e-17,
+	1.21159907937263400e-17, -1.52112721227855650e-17,
+	-1.51838757657007437e-17, -2.51352280752587451e-17,
+	-2.66690480643161193e-17, -4.59728584599455591e-17,
+	-5.42439848134543255e-17, 3.56284233494755594e-17,
+	3.61475127591663133e-17, 1.22197541073075113e-17,
+	-1.61356193051149559e-17, 1.66243632690603545e-17,
+	4.30578558405427098e-17, -4.43234026650131250e-17,
+	-1.35473813965930355e-17, 4.30118334112910435e-17,
+	3.62593428168003066e-17,
 };