--- old/usr/src/lib/libm/common/C/exp.c	2019-06-06 20:37:44.671324354 +0000
+++ new/usr/src/lib/libm/common/C/exp.c	2019-06-06 20:37:44.688823899 +0000
@@ -18,9 +18,11 @@
  *
  * CDDL HEADER END
  */
+
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -70,38 +72,38 @@
 #include "libm.h"
 
 static const double TBL[] = {
-	1.00000000000000000000e+00,  0.00000000000000000000e+00,
-	1.02189714865411662714e+00,  5.10922502897344389359e-17,
-	1.04427378242741375480e+00,  8.55188970553796365958e-17,
+	1.00000000000000000000e+00, 0.00000000000000000000e+00,
+	1.02189714865411662714e+00, 5.10922502897344389359e-17,
+	1.04427378242741375480e+00, 8.55188970553796365958e-17,
 	1.06714040067682369717e+00, -7.89985396684158212226e-17,
 	1.09050773266525768967e+00, -3.04678207981247114697e-17,
-	1.11438674259589243221e+00,  1.04102784568455709549e-16,
-	1.13878863475669156458e+00,  8.91281267602540777782e-17,
-	1.16372485877757747552e+00,  3.82920483692409349872e-17,
-	1.18920711500272102690e+00,  3.98201523146564611098e-17,
+	1.11438674259589243221e+00, 1.04102784568455709549e-16,
+	1.13878863475669156458e+00, 8.91281267602540777782e-17,
+	1.16372485877757747552e+00, 3.82920483692409349872e-17,
+	1.18920711500272102690e+00, 3.98201523146564611098e-17,
 	1.21524735998046895524e+00, -7.71263069268148813091e-17,
-	1.24185781207348400201e+00,  4.65802759183693679123e-17,
-	1.26905095719173321989e+00,  2.66793213134218609523e-18,
-	1.29683955465100964055e+00,  2.53825027948883149593e-17,
+	1.24185781207348400201e+00, 4.65802759183693679123e-17,
+	1.26905095719173321989e+00, 2.66793213134218609523e-18,
+	1.29683955465100964055e+00, 2.53825027948883149593e-17,
 	1.32523664315974132322e+00, -2.85873121003886075697e-17,
-	1.35425554693689265129e+00,  7.70094837980298946162e-17,
+	1.35425554693689265129e+00, 7.70094837980298946162e-17,
 	1.38390988196383202258e+00, -6.77051165879478628716e-17,
 	1.41421356237309514547e+00, -9.66729331345291345105e-17,
 	1.44518080697704665027e+00, -3.02375813499398731940e-17,
 	1.47682614593949934623e+00, -3.48399455689279579579e-17,
 	1.50916442759342284141e+00, -1.01645532775429503911e-16,
-	1.54221082540794074411e+00,  7.94983480969762085616e-17,
+	1.54221082540794074411e+00, 7.94983480969762085616e-17,
 	1.57598084510788649659e+00, -1.01369164712783039808e-17,
-	1.61049033194925428347e+00,  2.47071925697978878522e-17,
+	1.61049033194925428347e+00, 2.47071925697978878522e-17,
 	1.64575547815396494578e+00, -1.01256799136747726038e-16,
-	1.68179283050742900407e+00,  8.19901002058149652013e-17,
+	1.68179283050742900407e+00, 8.19901002058149652013e-17,
 	1.71861929812247793414e+00, -1.85138041826311098821e-17,
-	1.75625216037329945351e+00,  2.96014069544887330703e-17,
-	1.79470907500310716820e+00,  1.82274584279120867698e-17,
-	1.83400808640934243066e+00,  3.28310722424562658722e-17,
+	1.75625216037329945351e+00, 2.96014069544887330703e-17,
+	1.79470907500310716820e+00, 1.82274584279120867698e-17,
+	1.83400808640934243066e+00, 3.28310722424562658722e-17,
 	1.87416763411029996256e+00, -6.12276341300414256164e-17,
 	1.91520656139714740007e+00, -1.06199460561959626376e-16,
-	1.95714412417540017941e+00,  8.96076779103666776760e-17,
+	1.95714412417540017941e+00, 8.96076779103666776760e-17,
 };
 
 /*
@@ -263,35 +265,36 @@
 	1.3888949086377719040e-3,	/* 3f56c1728d739765 */
 	1.0,
 	0.0,
-	7.09782712893383973096e+02,	/* 0x40862E42, 0xFEFA39EF */
-	7.45133219101941108420e+02,	/* 0x40874910, 0xD52D3051 */
-	5.55111512312578270212e-17,	/* 0x3c900000, 0x00000000 */
+	7.09782712893383973096e+02, /* 0x40862E42, 0xFEFA39EF */
+	7.45133219101941108420e+02, /* 0x40874910, 0xD52D3051 */
+	5.55111512312578270212e-17, /* 0x3c900000, 0x00000000 */
 };
 
-#define	half		C[0]
-#define	invln2_32	C[1]
-#define	ln2_32hi	C[2]
-#define	ln2_32lo	C[3]
-#define	t2		C[4]
-#define	t3		C[5]
-#define	t4		C[6]
-#define	t5		C[7]
-#define	one		C[8]
-#define	zero		C[9]
-#define	threshold1	C[10]
-#define	threshold2	C[11]
-#define	twom54		C[12]
+#define	half			C[0]
+#define	invln2_32		C[1]
+#define	ln2_32hi		C[2]
+#define	ln2_32lo		C[3]
+#define	t2			C[4]
+#define	t3			C[5]
+#define	t4			C[6]
+#define	t5			C[7]
+#define	one			C[8]
+#define	zero			C[9]
+#define	threshold1		C[10]
+#define	threshold2		C[11]
+#define	twom54			C[12]
 
 double
-exp(double x) {
-	double	y, z, t;
-	int	hx, ix, k, j, m;
+exp(double x)
+{
+	double y, z, t;
+	int hx, ix, k, j, m;
 
 	ix = ((int *)&x)[HIWORD];
 	hx = ix & ~0x80000000;
 
-	if (hx < 0x3ff0a2b2) {	/* |x| < 3/2 ln 2 */
-		if (hx < 0x3f862e42) {	/* |x| < 1/64 ln 2 */
+	if (hx < 0x3ff0a2b2) {			/* |x| < 3/2 ln 2 */
+		if (hx < 0x3f862e42) {		/* |x| < 1/64 ln 2 */
 			if (hx < 0x3ed00000) {	/* |x| < 2^-18 */
 				volatile int dummy __unused;
 
@@ -299,13 +302,16 @@
 #ifdef lint
 				dummy = dummy;
 #endif
+
 				if (hx < 0x3e300000)
 					return (one + x);
+
 				return (one + x * (one + half * x));
 			}
+
 			t = x * x;
-			y = x + (t * (half + x * t2) +
-			    (t * t) * (t3 + x * t4 + t * t5));
+			y = x + (t * (half + x * t2) + (t * t) * (t3 + x * t4 +
+			    t * t5));
 			return (one + y);
 		}
 
@@ -313,32 +319,39 @@
 		k = hx >> 20;
 		j = (0x00100000 | (hx & 0x000fffff)) >> (0x40c - k);
 		j = (j - 1) & ~1;
+
 		if (ix < 0)
 			j += 134;
+
 		z = x - TBL2[j];
 		t = z * z;
-		y = z + (t * (half + z * t2) +
-		    (t * t) * (t3 + z * t4 + t * t5));
-		return (TBL2[j+1] + TBL2[j+1] * y);
+		y = z + (t * (half + z * t2) + (t * t) * (t3 + z * t4 + t *
+		    t5));
+		return (TBL2[j + 1] + TBL2[j + 1] * y);
 	}
 
-	if (hx >= 0x40862e42) {	/* x is large, infinite, or nan */
+	if (hx >= 0x40862e42) {		/* x is large, infinite, or nan */
 		if (hx >= 0x7ff00000) {
 			if (ix == 0xfff00000 && ((int *)&x)[LOWORD] == 0)
 				return (zero);
+
 			return (x * x);
 		}
+
 		if (x > threshold1)
 			return (_SVID_libm_err(x, x, 6));
+
 		if (-x > threshold2)
 			return (_SVID_libm_err(x, x, 7));
 	}
 
 	t = invln2_32 * x;
+
 	if (ix < 0)
 		t -= half;
 	else
 		t += half;
+
 	k = (int)t;
 	j = (k & 0x1f) << 1;
 	m = k >> 5;
@@ -347,11 +360,13 @@
 	/* z is now in primary range */
 	t = z * z;
 	y = z + (t * (half + z * t2) + (t * t) * (t3 + z * t4 + t * t5));
-	y = TBL[j] + (TBL[j+1] + TBL[j] * y);
+	y = TBL[j] + (TBL[j + 1] + TBL[j] * y);
+
 	if (m < -1021) {
 		((int *)&y)[HIWORD] += (m + 54) << 20;
 		return (twom54 * y);
 	}
+
 	((int *)&y)[HIWORD] += m << 20;
 	return (y);
 }